--- postgresql.conf.restore 2013-05-21 11:03:40.771837007 -0300
+++ postgresql.conf.normal  2013-05-21 11:03:40.771837007 -0300
@@ -116,7 +116,7 @@
 # It is not advisable to set max_prepared_transactions nonzero unless you
 # actively intend to use prepared transactions.
 work_mem = 32MB                # min 64kB
-maintenance_work_mem = 2GB     # min 1MB
+maintenance_work_mem = 768MB       # min 1MB
 max_stack_depth = 4MB          # min 100kB
 
 # - Kernel Resource Usage -
@@ -150,7 +150,7 @@
 
 # - Settings -
 
-wal_level = minimal            # minimal, archive, or hot_standby
+wal_level = hot_standby            # minimal, archive, or hot_standby
                    # (change requires restart)
 #fsync = on                # turns forced synchronization on or off
 #synchronous_commit = on       # synchronization level; on, off, or local
@@ -173,12 +173,12 @@
 
 checkpoint_segments = 256      # in logfile segments, min 1, 16MB each
 #checkpoint_timeout = 5min     # range 30s-1h
-#checkpoint_completion_target = 0.5    # checkpoint target duration, 0.0 - 1.0
+checkpoint_completion_target = 0.7 # checkpoint target duration, 0.0 - 1.0
 #checkpoint_warning = 30s      # 0 disables
 
 # - Archiving -
 
-archive_mode = off     # allows archiving to be done
+archive_mode = on      # allows archiving to be done
                # (change requires restart)
 archive_command = '/var/lib/postgresql/scripts/archive_copy.sh %p %f'      # command to use to archive a logfile segment
 #archive_timeout = 0       # force a logfile segment switch after this
@@ -193,10 +193,10 @@
 
 # These settings are ignored on a standby server
 
-max_wal_senders = 0        # max number of walsender processes
+max_wal_senders = 3        # max number of walsender processes
                # (change requires restart)
 #wal_sender_delay = 1s     # walsender cycle time, 1-10000 milliseconds
-#wal_keep_segments = 0     # in logfile segments, 16MB each; 0 disables
+wal_keep_segments = 256        # in logfile segments, 16MB each; 0 disables
 #vacuum_defer_cleanup_age = 0  # number of xacts by which cleanup is delayed
 #replication_timeout = 60s # in milliseconds; 0 disables
 #synchronous_standby_names = ''    # standby servers that provide sync rep
@@ -430,16 +430,16 @@
 
 autovacuum = on            # Enable autovacuum subprocess?  'on'
                    # requires track_counts to also be on.
-#log_autovacuum_min_duration = -1  # -1 disables, 0 logs all actions and
+log_autovacuum_min_duration = 0    # -1 disables, 0 logs all actions and
                    # their durations, > 0 logs only
                    # actions running at least this number
                    # of milliseconds.
 #autovacuum_max_workers = 3        # max number of autovacuum subprocesses
                    # (change requires restart)
 #autovacuum_naptime = 1min     # time between autovacuum runs
-#autovacuum_vacuum_threshold = 50  # min number of row updates before
+autovacuum_vacuum_threshold = 500  # min number of row updates before
                    # vacuum
-#autovacuum_analyze_threshold = 50 # min number of row updates before
+autovacuum_analyze_threshold = 500 # min number of row updates before
                    # analyze
 #autovacuum_vacuum_scale_factor = 0.2  # fraction of table size before vacuum
 #autovacuum_analyze_scale_factor = 0.1 # fraction of table size before analyze

